---
dependency:
  name: galaxy
  options:
    role-file: requirements.yml
    requirements-file: requirements.yml
driver:
  name: ec2
platforms:
  - name: "ansible-role-gitlab-runner-molecule-scenario-${MOLECULE_SCENARIO_NAME}-job-${CI_UNIQUE_ID:-local}-ubuntu"
    image_owner: "513442679011"
    image_name: "ubuntu/images/hvm-ssd/ubuntu-focal-20.04-amd64-server-20220419"
    instance_type: t3a.micro
    vpc_subnet_id: subnet-016e4c74f0bade423
    assign_public_ip: false
    security_groups:
      # Internet outbound for super-runner-vpc
      - sg-0da40fd3c0a830c43
      # Deploy access for super-runner-vpc
      - sg-0d9507342c2ac1e36
    tags:
      Name: "ansible-role-gitlab-runner-molecule-scenario-${MOLECULE_SCENARIO_NAME}-job-${CI_UNIQUE_ID:-local}-ubuntu"
    ssh_user: ubuntu
provisioner:
  name: ansible
  playbooks:
    prepare: ../common/playbooks/prepare.yml
    create: ../common/playbooks/create.yml
    destroy: ../common/playbooks/destroy.yml
  env:
    AWS_REGION: "us-gov-west-1"
  config_options:
    defaults:
      callback_whitelist: coverage
      host_key_checking: false
verifier:
  name: testinfra
